CRBR
Pobieranie wielu rekordów
Zwraca wiele rekordów CRBR jednym wywołaniem. Parametry id, krs, nip, pesel można przekazać wielokrotnie - łącznie do 50 identyfikatorów. Każdy zwrócony rekord = 1 jednostka wspólnej puli zapytań.
GET
/
v1
/
crbr
/
records
Pobieranie wielu rekordów
curl --request GET \
--url https://api.krdata.pl/v1/crbr/records \
--header 'x-api-key: <api-key>'import requests
url = "https://api.krdata.pl/v1/crbr/records"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.krdata.pl/v1/crbr/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifiers": {
"krs": "<string>",
"nip": "<string>",
"regon": "<string>",
"registry_type": "<string>"
},
"company_name": "<string>",
"ubos": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"birth_date": "2023-12-25",
"pesel": "<string>",
"nationalities": [
"<string>"
],
"ownership_type": "<string>",
"share_value": "<string>",
"share_unit": "<string>"
}
],
"krz_records_count": 123,
"metadata": {
"first_seen": "2023-11-07T05:31:56Z",
"last_updated": "2023-11-07T05:31:56Z",
"source_updated_at": "2023-11-07T05:31:56Z"
},
"payload": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Pattern:
^\d{10}$Pattern:
^\d{10}$Pattern:
^\d{11}$Response
Successful Response
⌘I
Pobieranie wielu rekordów

